io.undertow.server.handlers

## Class LearningPushHandler

- java.lang.Object
- - io.undertow.server.handlers.LearningPushHandler

All Implemented Interfaces:
  HttpHandler

    public class LearningPushHandler
    extends Object
    implements HttpHandler

Handler that builds up a cache of resources that a browsers requests, and uses server push to push them when supported.

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `LearningPushHandler.Builder`

### Constructor Summary

Constructors
Constructor and Description
`LearningPushHandler(HttpHandler next)`
`LearningPushHandler(int maxEntries, int maxAge, HttpHandler next)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Session` `getSession(HttpServerExchange exchange)`
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LearningPushHandler

    public LearningPushHandler(HttpHandler next)

#### LearningPushHandler

    public LearningPushHandler(int maxEntries,
                               int maxAge,
                               HttpHandler next)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`

#### getSession

    protected Session getSession(HttpServerExchange exchange)